{# Showing question code/number is a survey level setting, so it's inside the array aSurveyInfo #}
{% set aShow        = aSurveyInfo.aShow   %}

    <!-- Question {{ aQuestion.code }} -->

    {# Aria describe construction #}
    {% set ariadescribe = ''  %}
    {% if aQuestion.help.show %}
        {% set ariadescribe = ariadescribe ~ " ls-question-help-" ~ aQuestion.qid  %}
    {% endif %}
    {% if (aQuestion.mandatory == "Y" or aQuestion.mandatory == "S") %}
        {% set ariadescribe = ariadescribe ~ " ls-question-mandatory-" ~ aQuestion.qid  %}
    {% endif %}
    {% if(aQuestion.valid_message) %}
        {% set ariadescribe = ariadescribe ~ " vmsg_" ~ aQuestion.qid  %}
    {% endif %}
    {% if(aQuestion.file_valid_message) %}
        {% set ariadescribe = ariadescribe ~ " file_" ~ aQuestion.qid  %}
    {% endif %}
    {% set ariadescribe = ariadescribe|trim  %}
    {# Question Text #}
    {{ include('./subviews/survey/question_subviews/question_text_container.twig') }}

    {# Survey question Help - top position #}
    {% if aSurveyInfo.options.questionhelptextposition != 'bottom' %}
        {{ include('./subviews/survey/question_subviews/survey_question_help.twig') }}
    {% endif %}

    {# Valide message and help #}
    {{ include('./subviews/survey/question_subviews/valid_message_and_help.twig') }}

    {# Answers #}
    {{ include('./subviews/survey/question_subviews/answers.twig') }}

    {# Survey question Help - bottom position #}
    {% if aSurveyInfo.options.questionhelptextposition == 'bottom' %}
        {{ include('./subviews/survey/question_subviews/survey_question_help.twig') }}
    {% endif %}
    
    <!-- End of question {{ aQuestion.code }} -->
